> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file

> Upload a file that can be attached as documentation to cases.



## OpenAPI

````yaml /api-reference/v2/openapi.yaml post /v2/issuer/files
openapi: 3.0.0
info:
  title: Decisionly API v2
  description: Claims-based API for submission and handling of chargebacks by issuers.
  version: 2.0.0
servers:
  - url: https://api.decisionly.com
    description: Production server. Use your test key for the sandbox environment.
security:
  - basicAuth: []
tags:
  - name: v2 Cases
    description: Case management endpoints
  - name: v2 Claims
    description: Claim management endpoints
  - name: v2 Events
    description: Event endpoints
  - name: v2 Files
    description: File upload endpoints
  - name: v2 Beta
    description: Beta features - These endpoints are experimental and subject to change
paths:
  /v2/issuer/files:
    post:
      tags:
        - v2 Files
      summary: Upload a file
      description: Upload a file that can be attached as documentation to cases.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                category:
                  type: string
                  description: The category of the file being uploaded.
                  enum:
                    - counterfeit_evidence
                    - merchant_correspondence
                    - other
                    - prior_transaction_receipt
                    - refund_promise
                    - transaction_receipt
                    - unknown
                file:
                  type: string
                  format: binary
                  description: >-
                    The file to upload. Must be JPEG, PNG, or PDF format and
                    under 4.5MB. PDFs cannot be more than 5 pages long.
              required:
                - category
                - file
      responses:
        '200':
          description: Returns the uploaded file details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  category:
                    type: string
                    description: The category of the uploaded file.
                    enum:
                      - counterfeit_evidence
                      - merchant_correspondence
                      - other
                      - prior_transaction_receipt
                      - refund_promise
                      - transaction_receipt
                      - unknown
                  created:
                    type: string
                    format: date-time
                  id:
                    type: string
                  type:
                    type: string
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API key as the username. No password is required.

````